/**
 * <b>String</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * Stringliteralstaketheforms:
Or,usingthe<code>String</code>globalobjectdirectly:
 * </p>
 * <p>
 * The String global object is a constructor for strings, or a sequence of characters.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>thing</b></td>
 * <td>Anything to be converted to a string.</td>
 * </tr>
 * </table>
 * @type String
 */
var String = {
/**
 * <b>toSource</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.toSource()</code>
 * </p>
 * <p>
 * Returns a string representing the source code of the object.
 * </p>
 * @type String
 */
toSource: function() {},

/**
 * <b>sub</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>sub()</code>
 * </p>
 * <p>
 * Causes a string to be displayed as a subscript, as if it were in a SUB tag.
 * </p>
 * @type String
 */
sub: function() {},

/**
 * <b>italics</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>italics()</code>
 * </p>
 * <p>
 * Causes a string to be italic, as if it were in an I tag.
 * </p>
 * @type String
 */
italics: function() {},

/**
 * <b>link</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>link(<em>hrefAttribute</em>)</code>
 * </p>
 * <p>
 * Creates an HTML hypertext link that requests another URL.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>hrefAttribute </b></td>
 * <td>Any string that specifies the HREF of the A tag; it should be a valid URL (relative or absolute).</td>
 * </tr>
 * </table>
 * @type String
 */
link: function() {},

/**
 * <b>fontcolor</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>fontcolor(<em>color</em>)</code>
 * </p>
 * <p>
 * Causes a string to be displayed in the specified color as if it were in a <FONT COLOR="color"> tag.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>color </b></td>
 * <td>A string expressing the color as a hexadecimal RGB triplet or as a string literal. String literals for color names are listed in the Core JavaScript 1.5 Guide.</td>
 * </tr>
 * </table>
 * @type String
 */
fontcolor: function() {},

/**
 * <b>indexOf</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.indexOf(<em>searchValue</em>[,<em>fromIndex</em>]</code>)
 * </p>
 * <p>
 * Returns the index within the calling String object of the first occurrence of the specified value, starting the search at fromIndex, returns -1 if the value is not found.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>fromIndex</b></td>
 * <td>The location within the calling string to start the search from. It can be any integer between 0 and the length of the string. The default value is 0.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>searchValue</b></td>
 * <td>A string representing the value to search for.</td>
 * </tr>
 * </table>
 * @type Number
 */
indexOf: function() {},

/**
 * <b>sup</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>sup()</code>
 * </p>
 * <p>
 * Causes a string to be displayed as a superscript, as if it were in a SUP tag.
 * </p>
 * @type String
 */
sup: function() {},

/**
 * <b>fixed</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>fixed()</code>
 * </p>
 * <p>
 * Causes a string to be displayed in fixed-pitch font as if it were in a TT tag.
 * </p>
 * @type String
 */
fixed: function() {},

/**
 * <b>prototype</b>
 * <p>
 * Represents the String prototype object.
 * </p>
 * @type Object
 * @static
 */
prototype: undefined,

/**
 * <b>anchor</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>anchor(<em>nameAttribute</em>)</code>
 * </p>
 * <p>
 * Creates an HTML anchor that is used as a hypertext target.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>nameAttribute </b></td>
 * <td>A string.</td>
 * </tr>
 * </table>
 * @type String
 */
anchor: function() {},

/**
 * <b>toUpperCase</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.toUpperCase()</code>
 * </p>
 * @type String
 */
toUpperCase: function() {},

/**
 * <b>strike</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>strike()</code>
 * </p>
 * <p>
 * Causes a string to be displayed as struck-out text, as if it were in a STRIKE tag.
 * </p>
 * @type String
 */
strike: function() {},

/**
 * <b>bold</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>bold()</code>
 * </p>
 * <p>
 * Causes a string to be displayed as bold as if it were in a B tag.
 * </p>
 * @type String
 */
bold: function() {},

/**
 * <b>search</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.search(<em>regexp</em>)</code>
 * </p>
 * <p>
 * Executes the search for a match between a regular expression and this String object.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>regexp</b></td>
 * <td>A regular expression object. If a non-RegExp object obj is passed, it is implicitly converted to a RegExp by using new RegExp(obj).</td>
 * </tr>
 * </table>
 * @type Number
 */
search: function() {},

/**
 * <b>quote</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>str</em>.quote()</code>
 * </p>
 * @type String
 */
quote: function() {},

/**
 * <b>substring</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.substring(<em>indexA</em>[,<em>indexB</em>])</code>
 * </p>
 * <p>
 * Returns a subset of a string between one index and another, or through the end of the string.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>indexA</b></td>
 * <td>An integer between 0 and one less than the length of the string.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>indexB</b></td>
 * <td>(optional) An integer between 0 and the length of the string.</td>
 * </tr>
 * </table>
 * @type String
 */
substring: function() {},

/**
 * <b>length</b>
 * <p>
 * The length of a string.
 * </p>
 * @type Number
 */
length: undefined,

/**
 * <b>valueOf</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.valueOf()</code>
 * </p>
 * <p>
 * Returns the primitive value of a String object.
 * </p>
 * @type String
 */
valueOf: function() {},

/**
 * <b>toLocaleUpperCase</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>toLocaleUpperCase()</code>
 * </p>
 * <p>
 * Returns the calling string value converted to upper case, according to any locale-specific case mappings.
 * </p>
 * @type String
 */
toLocaleUpperCase: function() {},

/**
 * <b>trim</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.trim()</code>
 * </p>
 * <p>
 * Removes whitespace from both ends of the string.
 * </p>
 * @type String
 */
trim: function() {},

/**
 * <b>charAt</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.charAt(<em>index</em>)</code>
 * </p>
 * <p>
 * Returns the specified character from a string.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>index </b></td>
 * <td>An integer between 0 and 1 less than the length of the string.</td>
 * </tr>
 * </table>
 * @type String
 */
charAt: function() {},

/**
 * <b>substr</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.substr(<em>start</em>[,<em>length</em>])</code>
 * </p>
 * <p>
 * Returns the characters in a string beginning at the specified location through the specified number of characters.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>start</b></td>
 * <td>Location at which to begin extracting characters.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>length</b></td>
 * <td>The number of characters to extract.</td>
 * </tr>
 * </table>
 * @type String
 */
substr: function() {},

/**
 * <b>constructor</b>
 * <p>
 * Returns a reference to the String function that created the instance's prototype. Note that the value of this property is a reference to the function itself, not a string containing the function's name.
 * </p>
 * @type Function
 */
constructor: undefined,

/**
 * <b>fromCharCode</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>String.fromCharCode(<em>num1</em>,<em>...</em>,<em>numN</em>)</code>
 * </p>
 * <p>
 * Returns a string created by using the specified sequence of Unicode values.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>num1, ..., numN</b></td>
 * <td>A sequence of numbers that are Unicode values.</td>
 * </tr>
 * </table>
 * @type String
 * @static
 */
fromCharCode: function() {},

/**
 * <b>trimLeft</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.trimLeft()</code>
 * </p>
 * <p>
 * Removes whitespace from the left end of the string.
 * </p>
 * @type String
 */
trimLeft: function() {},

/**
 * <b>localeCompare</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>localeCompare(compareString)</code>
 * </p>
 * <p>
 * Returns a number indicating whether a reference string comes before or after or is the same as the given string in sort order.
 * </p>
 * @type Number
 */
localeCompare: function() {},

/**
 * <b>trimRight</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.trimRight()</code>
 * </p>
 * <p>
 * Removes whitespace from the right end of the string.
 * </p>
 * @type String
 */
trimRight: function() {},

/**
 * <b>lastIndexOf</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.lastIndexOf(<em>searchValue</em>[,<em>fromIndex</em>])</code>
 * </p>
 * <p>
 * Returns the index within the calling String object of the last occurrence of the specified value, or -1 if not found. The calling string is searched backward, starting at fromIndex.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>fromIndex</b></td>
 * <td>The location within the calling string to start the search from, indexed from left to right. It can be any integer between 0 and the length of the string. The default value is the length of the string.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>searchValue</b></td>
 * <td>A string representing the value to search for.</td>
 * </tr>
 * </table>
 * @type Number
 */
lastIndexOf: function() {},

/**
 * <b>toLocaleLowerCase</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>toLocaleLowerCase()</code>
 * </p>
 * <p>
 * Returns the calling string value converted to lower case, according to any locale-specific case mappings.
 * </p>
 * @type String
 */
toLocaleLowerCase: function() {},

/**
 * <b>concat</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.concat(<em>string2</em>,<em>string3</em>[,...,<em>stringN</em>])</code>
 * </p>
 * <p>
 * Combines the text of two or more strings and returns a new string.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>string2...stringN</b></td>
 * <td>Strings to concatenate to this string.</td>
 * </tr>
 * </table>
 * @type String
 */
concat: function() {},

/**
 * <b>replace</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>newstring</em>=<em>str</em>.replace(<em>regexp|substr</em>,<em>newSubStr|function[</em>,</code><spanclass="langlang-en"><spanclass="nonStandardInlineTemplate"style="border:1pxsolidrgb(255,213,153);background-color:rgb(255,239,217);font-size:x-small;white-space:nowrap;padding:2px;">Non-standard</span></span><code><em>flags]</em>);</code>
 * </p>
 * <p>
 * Returns a new string with some or all matches of a pattern replaced by a replacement.  The pattern can be a string or a RegExp, and the replacement can be a string or a function to be called for each match.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>newSubStr</b></td>
 * <td>The String that replaces the substring received from parameter #1. A number of special replacement patterns are supported; see the "Specifying a string as a parameter" section below.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>flags g i m y</b></td>
 * <td>Non-standard A string specifying a combination of regular expression flags. The use of the flags parameter in the String.replace method is non-standard, use a RegExp object with the corresponding flags. g global match i ignore case m match over multiple lines y Non-standard sticky global match ignore case match over multiple lines Non-standard sticky</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>g i m y</b></td>
 * <td>global match ignore case match over multiple lines Non-standard sticky</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>substr</b></td>
 * <td>A String that is to be replaced by newSubStr.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>regexp</b></td>
 * <td>A RegExp object. The match is replaced by the return value of parameter #2.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>function</b></td>
 * <td>A function to be invoked to create the new substring (to put in place of the substring received from parameter #1). The arguments supplied to this function are described in the "Specifying a function as a parameter" section below.</td>
 * </tr>
 * </table>
 * @type String
 */
replace: function() {},

/**
 * <b>blink</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>blink()</code>
 * </p>
 * <p>
 * Causes a string to blink as if it were in a BLINK tag.
 * </p>
 * @type String
 */
blink: function() {},

/**
 * <b>charCodeAt</b>
 * <p>
 * Returns the numeric Unicode value of the character at the given index (except for unicode codepoints > 0x10000).
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>index </b></td>
 * <td>An integer greater than 0 and less than the length of the string; if it is not a number, it defaults to 0.</td>
 * </tr>
 * </table>
 * @type Number
 */
charCodeAt: function() {},

/**
 * <b>toLowerCase</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.toLowerCase()</code>
 * </p>
 * <p>
 * Returns the calling string value converted to lowercase.
 * </p>
 * @type String
 */
toLowerCase: function() {},

/**
 * <b>slice</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.slice(<em>beginslice</em>[,<em>endSlice</em>])</code>
 * </p>
 * <p>
 * Extracts a section of a string and returns a new string.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>beginSlice</b></td>
 * <td>The zero-based index at which to begin extraction.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>endSlice</b></td>
 * <td>The zero-based index at which to end extraction. If omitted, slice extracts to the end of the string.</td>
 * </tr>
 * </table>
 * @type String
 */
slice: function() {},

/**
 * <b>split</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.split([<em>separator</em>][,<em>limit</em>])</code>
 * </p>
 * <p>
 * Splits a String object into an array of strings by separating the string into substrings.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Array</i></td>
 * <td valign="top"><b>limit</b></td>
 * <td>Integer specifying a limit on the number of splits to be found.  The split method still splits on every match of separator, but it truncates the returned array to at most limit elements.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>Array</i></td>
 * <td valign="top"><b>separator</b></td>
 * <td>Specifies the character to use for separating the string. The separator is treated as a string or a regular expression. If separator is omitted, the array returned contains one element consisting of the entire string.</td>
 * </tr>
 * </table>
 * @type Array
 */
split: function() {},

/**
 * <b>toString</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.toString()</code>
 * </p>
 * <p>
 * Returns a string representing the specified object.
 * </p>
 * @type String
 */
toString: function() {},

/**
 * <b>match</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>string</em>.match(<em>regexp</em>)</code>
 * </p>
 * <p>
 * Used to retrieve the matches when matching a string against a regular expression.
 * </p>
 * @type Array
 */
match: function() {},

/**
 * <b>big</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>big()</code>
 * </p>
 * <p>
 * Causes a string to be displayed in a big font as if it were in a BIG tag.
 * </p>
 * @type String
 */
big: function() {},

/**
 * <b>small</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>small()</code>
 * </p>
 * <p>
 * Causes a string to be displayed in a small font, as if it were in a SMALL tag.
 * </p>
 * @type String
 */
small: function() {},

/**
 * <b>fontsize</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>fontsize(<em>size</em>)</code>
 * </p>
 * <p>
 * Causes a string to be displayed in the specified font size as if it were in a <FONT SIZE="size"> tag.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>size </b></td>
 * <td>An integer between 1 and 7, a string representing a signed integer between 1 and 7.</td>
 * </tr>
 * </table>
 * @type Number
 */
fontsize: function() {},

}
